QGIS Application - Bug report #17907
Page Size in Composer (2.99)
2018-01-21 01:08 PM - Dmitry Kravchook

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 25803
Description

option "page size" has disappeared from the composer/

QGIS version
2.99.0-Master
QGIS code revision
96d1ea57a8

History

#1 - 2018-01-21 03:12 PM - Harrissou Santanna
Right-click on the layout page; you should get a "Page properties" entry that would open in the ltems properties panel.
It's not gone but | agree it's not obvious. However, with the multi page/format capability, it would not be trivial, | guess, to keep showing page properties.
Maybe an entry in Layout or View menu could be helpful.
#2 - 2018-01-21 04:39 PM - Dmitry Kravchook
Harrissou Santanna wrote:
Right-click on the layout page; you should get a "Page properties" entry that would open in the ltems properties panel.
It's not gone but | agree it's not obvious. However, with the multi page/format capability, it would not be trivial, | guess, to keep showing page

properties.

Maybe an entry in Layout or View menu could be helpful.

Interesting idea. But it is not quite compatible with QGIS printing system. 'Page setup..." in Layout menu lives his own life :) To print pages with different

sizes would be a pain.

#3 - 2018-01-21 09:00 PM - Harrissou Santanna

You can still do your unique format layout so continue to print "easily".

| personally never printed directly from QGIS (always do export) so can't tell about the "page setup” but this feature seems interesting to me: when working

on a territory, | often need exports from different places/zooms and having a single page format obliges to create as many print composers as different
scales required. Being able to have A0 and A4 page in same layout will reduce number of print layouts and ease management.
#4 - 2018-01-21 09:16 PM - Nyall Dawson
- Status changed from Open to Closed
- Resolution set to invalid

| think this is more of a need for documentation

#5 - 2018-01-21 09:54 PM - Harrissou Santanna

Nyall Dawson wrote:

| think this is more of a need for documentation

Are you sure that people read documentation? :(

#6 - 2018-06-12 03:46 AM - Oliver Story

This seems like a user interface design issue to me. The interface feels inconsistent.

There are a few issues:

1) the same name (Page Properties) is used for two different things: one for the 'printing page' and the other for a 'layout page'

2) the only way to find the page properties for the 'layout page' is via a right click, whereas the properties for other 'items' can also be found selecting the
item either in the composer view or in the items list, and the other properties for a 'layout' are findable in the 'layout' tab.

3) the 'layout page' page properties is grouped under the 'item' tab, whereas the 'layout page' margins are grouped under the 'layout' tab. This includes a
'resize layout to content' button which sets the layout page dimensions. Seems odd that you can set the dimensions indirectly here, but not directly.

Possible solutions:

1) Group the layout page properties under the 'layout' tab instead of under the 'items' tab, providing another way to find these settings so they can be edited
directly. To support multiple pages, could include one expandable section per page.

2) Alternatively, if it's better to think of pages as 'items', list each page as an 'item' in the items list
